Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::NodeDescriptor`

## Overview

    struct NodeDescriptor

A node descriptor.

### Used By

NodeDescriptorDict

### Data Member Index

variables

  The variables defined for the node.

serverInstances

  The server instances.

servers

  Servers (which are not template instances).

loadFactor

  Load factor of the node.

description

  The description of this node.

propertySets

  Property set descriptors.

## `variables`

    [ "java:type:{java.util.TreeMap}" ]
    StringStringDict variables;

The variables defined for the node.

## `serverInstances`

    ServerInstanceDescriptorSeq serverInstances;

The server instances.

## `servers`

    ServerDescriptorSeq servers;

Servers (which are not template instances).

## `loadFactor`

    string loadFactor;

Load factor of the node.

## `description`

    string description;

The description of this node.

## `propertySets`

    PropertySetDescriptorDict propertySets;

Property set descriptors.

<<< Previous | Home | Next >>>
`IceGrid::LoadSample` | Up | `IceGrid::NodeDynamicInfo`